# IRremoteESP8266: IRAcUtils Namespace Reference

IRAcUtils Namespace Reference

Common functions for use with all A/Cs supported by the IRac class. More...

## Functions

String | resultAcToString (const decode_results *const result)
| Display the human readable state of an A/C message if we can. More...
bool | decodeToState (const decode_results *decode, stdAc::state_t *result, const stdAc::state_t *prev)
| Convert a valid IR A/C remote message that we understand enough into a Common A/C state. More...

## Detailed Description

Common functions for use with all A/Cs supported by the IRac class.

## Function Documentation

## decodeToState()

bool IRAcUtils::decodeToState | ( | const decode_results * | decode,
|  | stdAc::state_t * | result,
|  | const stdAc::state_t * | prev
| ) |  |

Convert a valid IR A/C remote message that we understand enough into a Common A/C state.

Parameters

  [in] | decode | A PTR to a successful raw IR decode object.
  [in] | result | A PTR to a state structure to store the result in.
  [in] | prev | A PTR to a state structure which has the prev. state.

Returns
  A boolean indicating success or failure.

## resultAcToString()

String IRAcUtils::resultAcToString | ( | const decode_results *const | result | ) |

Display the human readable state of an A/C message if we can.

Parameters

  [in] | result | A Ptr to the captured `decode_results` that contains an A/C mesg.

Returns
  A string with the human description of the A/C message. An empty string if we can't.